currdir = pwd;                  %Cxurrdir for the users simulink project
rootPath = fullfile(pwd, '.');  %Root for simulink for common accesses. Note: add ../.. if currdir is inside.
addpath(fullfile(rootPath,'test/Smlk'));
addpath(fullfile(rootPath,'test/Smlk/mex'));
addpath(fullfile(rootPath,'main/Smlk/libSmlk'));
addpath(fullfile(rootPath,'main/Smlk/libSmlk/mex'));
addpath(fullfile(rootPath,'main/Smlk/libSfn_Ctrl'));
addpath(fullfile(rootPath,'main/Smlk/libSfn_EvQu'));
addpath(fullfile(rootPath,'main/Smlk/libSfn_Inspc'));
addpath(fullfile(rootPath,'../mexDbg'));
%do not use genpath because all sub directory should not be a part if the path.
%faulty: addpath(genpath('simulink\test'));
path
Tinit = 0.002;
Tstep = 0.00005;    % 50 µs Regular software step time (for electrical control)
TstepHw = 0.000005; %  5 µs Hardware simulation time

    